QGIS Application - Bug report #15777
Categorized symbols without categories are lost when saving and re-opening project
2016-10-28 07:23 AM - Raphael Das Gupta

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:2.18.0 Regression?: No
Operating System: Ubuntu Linux Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 23698
Description

To reproduce

1. Download and unpack
https://github.com/geometalab/osmaxx/blob/v2.5.0/osmaxx/core/static/osmaxx/example _data/rapperswil_wgs-84 2016-10-05_gpkg_ful
-detail.zip

2. from the extracted folder, open symbology/QGIS/OSMaxx.qgs in QGIS

3. In the "Layer Styling" panel, choose a layer with "Single symbol" symbology, e.g. transport_I (a linestring layer) or address_p (a point
layer)

4. Change that layer to a categorized layer with the drop-down menu just below the Layer Styling layer selection drop-down.

Note that the previous single symbol is not being converted to a category. In fact, the categories list is empty.
Leave it empty, don't add any categories, i.e. click neither the "Classify" nor the "+" button.

5. Save the project

6. Close QGIS

7. Open the project again in QGIS

8. In the "Layer Styling" panel, choose the layer you modified before.

Expected

- The symbology of the layer is still "Categorized"
- still with empty categories list and
- categories can be added now manually (button "+") or automatically (button "Classify") as if the project hadn't been closed after
step 4 above
- or QGIS should have populated the list with a default category in step 4 above (best based on previous single symbol)
- and/or QGIS shouldn't have allowed me to save the project with a categorized symbol without categories

Observed

- The selected value of the drop-down menu just below the Layer Styling layer selection drop-down is now blank. (If you open the drop
down menu, all expected values are still offered.)

- In the area where the symbol(s) can usually be configured (below that second drop down menu) it just says "This renderer doesn't
implement a graphical interface.”

- After step 5 above, the changed <renderer-v2> can be seen in the sourcecode (XML) of the project file, indeed without any
<categories> sub-element.

- If after step 8 above, the project is saved again, the <renderer-v2> element will be gone from the XML

- After step 8, attempting to change the symbol type from blank to "Categorized" using the drop-down menu sometimes lets QGIS
hang, sometimes closes it immediately, but never seems to succeed.

History

#1 - 2017-05-01 01:02 AM - Giovanni Manghi
- Easy fix? set to No

- Regression? set to No
#2 - 2019-03-09 03:09 PM - Giovanni Manghi

- Resolution set to end of life
- Status changed from Open to Closed
https://github.com/geometalab/osmaxx/blob/v2.5.0/osmaxx/core/static/osmaxx/example_data/rapperswil_wgs-84_2016-10-05_gpkg_full-detail.zip
https://github.com/geometalab/osmaxx/blob/v2.5.0/osmaxx/core/static/osmaxx/example_data/rapperswil_wgs-84_2016-10-05_gpkg_full-detail.zip

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-Itr/

QGIS 3.4 has recently become our new Long Term Release (LTR) version. This is a major step in our history - a long term release version based on the
massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version
will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the
relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help
you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and
support the project even more, for the long term improvement and sustainability of the QGIS project.
